Send a message
POST
/projects/{projectId}/conversations/{conversationId}/messages
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
conversationId
string
required
path
Request Body required
application/jsonResponses
201
Created message
application/jsondata
object
id
string
conversation_id
string
sender_type
string
Enum:
customer, agent, ai, systemsender_id
string | null
content
string
content_type
string
Enum:
text, html, markdownis_internal
boolean
created_at
string (date-time)
curl -X POST 'https://api.rogeriq.com/api/v1/projects/string/conversations/string/messages' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d 'null'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/conversations/string/messages', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify(null)});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.rogeriq.com/api/v1/projects/string/conversations/string/messages', headers=headers, json=null)print(response.json())
201
Response
{ "data": { "id": "<string>", "conversation_id": "<string>", "sender_type": "customer", "sender_id": "<string>", "content": "<string>", "content_type": "text", "is_internal": true, "created_at": "2024-01-01T00:00:00Z" }}
API Playground
Try this endpoint
POST
/projects/{projectId}/conversations/{conversationId}/messages